Skip to main content
POST
/
v1
/
admin
/
actions
/
moderation
/
comment
Error
A valid request URL is required to generate request examples
{
  "ok": true,
  "commentId": 123
}
{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}
{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}
{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}
{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}

Authorizations

aura_session
string
cookie
required

HttpOnly session cookie set by POST /v1/auth/session. Mutating requests must also send the CSRF token (returned by that call) in the x-csrf-token header.

Body

application/json
surface
enum<string>
required
Available options:
comment,
proposal_comment,
outcome_comment
commentId
integer
required
Required range: -9007199254740991 <= x <= 9007199254740991
commentAction
enum<string>
required
Available options:
hide,
unhide,
delete
stepUp
object
required

Response

Default Response

ok
enum<boolean>
required
Available options:
true
surface
enum<string>
required
Available options:
comment,
proposal_comment,
outcome_comment
commentId
number
required
commentAction
enum<string>
required
Available options:
hide,
unhide,
delete